<template>
  <card body-classes="p-0">
    <!-- Card header -->
    <h5 slot="header" class="h3 mb-0">Meeting Checklist</h5>
    <!-- Card body -->
    <b-list-group flush data-toggle="checklist">
      <b-list-group-item class="checklist-entry flex-column align-items-start py-4 px-4"
          v-for="item in items"
          :key="item.title"
      >
        <div class="checklist-item"
             :class="{'checklist-item-checked': item.done, [`checklist-item-${item.checkType}`]: item.checkType}">
          <div class="checklist-info">
            <h5 class="checklist-title mb-0">{{item.title}}</h5>
            <small>{{item.description}}</small>
          </div>
          <div>
            <b-form-checkbox v-model="item.done"
                          :class="`custom-checkbox-${item.checkType}`"/>
          </div>
        </div>

      </b-list-group-item>
    </b-list-group>
  </card>
</template>
<script>
  import { BaseProgress } from '@/components';

  export default {
    components: {
    BaseProgress
    },
    data() {
      return {
        items: [
          {
            title: 'Call with Dave',
            description: 'For HR form',
            done: true,
            checkType: 'success'
          },
          {
            title: 'Lunch meeting',
            description: 'To for Cash Flow',
            done: false,
            checkType: 'warning'
          },
          {
            title: 'System Check Launch',
            description: '',
            done: false,
            checkType: 'info'
          },
          {
            title: 'Winter Hackaton',
            description: '',
            done: true,
            checkType: 'danger'
          },
          {
            title: 'Final Details',
            description: '',
            done: true,
            checkType: 'success'
          }
        ]
      };
    }
  };
</script>
<style></style>
